Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.jsf.components
Class EndConversationTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
              org.apache.myfaces.orchestra.conversation.jsf.components.AbstractConversationTag
                  org.apache.myfaces.orchestra.conversation.jsf.components.EndConversationTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class EndConversationTag

extends AbstractConversationTag

End a conversation.

When a conversation ends, all objects stored in that conversation are discarded.

See Also:
  `UIEndConversation`

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`EndConversationTag()`

Method Summary
`String` | `getComponentType()`
`String` | `getErrorOutcome()`
`String` | `getOnOutcome()`
`void` | `setErrorOutcome(String errorOutcome)`
`void` | `setOnOutcome(String onOutcome)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.orchestra.conversation.jsf.components.AbstractConversationTag
`getName, getRendererType, setName`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`release, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndConversationTag

    public EndConversationTag()

Method Detail

### getComponentType

    public String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `AbstractConversationTag`

### getOnOutcome

    public String getOnOutcome()

### setOnOutcome

    public void setOnOutcome(String onOutcome)

### getErrorOutcome

    public String getErrorOutcome()

### setErrorOutcome

    public void setErrorOutcome(String errorOutcome)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.